# norootforbuild

BuildRequires:  python-devel
BuildRequires:  bzr >= 1.6
Name:           bzrtools
Version:        1.6.0
Release:        1.1
Source0:        %{name}-%{version}.tar.bz2
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Tools/Version Control
Summary:        A collection of plugins for bzr
Requires:       bzr >= 1.6

%description
A collection of plugins for bzr, including:
Rsync Push - The rspush plugin will push local changes to a remote server
             using rsync.

Shelve/Unshelve - These plugins by Michael Ellerman provide a very
                  fine-grained 'undo' facility (it is done by patch hunk).
                  This allows you to undo some of your changes, commit, and
                  get back to where you were before.

Clean-Tree - Remove unknown, ignored-junk, or all unversioned files from the
             current tree.

Graph-Ancestry - Use dot to produce graphs of branch ancestry.

Shell - Starts up a command interpreter that run bzr natively, providing
        intelligent autocompletion and really responsive operation.

Patch - Applies a specified patch to your tree. The patch may be a filename
        or URL.


%prep
%setup -n bzrtools

%build
python setup.py build

%install
%if 0%{?suse_version}
%define __record_arg  --record-rpm
%else
%define __record_arg --record
%endif
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT %__record_arg %{name}.files --install-data %{_datadir}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %{name}.files
%defattr(-, root, root)
%doc CREDITS NEWS README TODO README.Shelf TODO.Shelf NEWS.Shelf COPYING

%changelog
* Mon Aug 25 2008 maw@suse.de
- Update to version 1.6.0:
  + Fix bug in when TERM environment variable is unset
  + Spin off baz-import into a separate project; baz-import won't
    be provided by this package
  + Remove show-paths
* Sun May 18 2008 maw@suse.de
- Update to version 1.5.0:
  + Updates to syntax highlighting
  + Avoid various undeprecated APIs
  + Merge heads plugin
  + Mark show-paths as obsolete.
* Thu Apr 17 2008 maw@suse.de
- Update to version 1.4.0:
  + "graph-ancestry" now uses the Graph API, and properly escapes
    commit messages for HTML output
  + "patch" now emits nicer errors
  + "cbranch" now creates any number of missing parent directories.
* Wed Apr  9 2008 maw@suse.de
- Build for RHEL5 and, possibly, other similar distros.
* Tue Mar 18 2008 maw@suse.de
- Update to version 1.3.0:
  + New link-tree command updates files to be hard-links of
    matching files in the named tree, saving space and potentially
    time
  + cbranch command now takes --hardlink parameter.
* Wed Feb 13 2008 maw@suse.de
- Update to version 1.2.0:
  + Minor release, with better handling and some obsolete
    functionality removed
- Now require bzr >= 1.1.
* Fri Jan 11 2008 maw@suse.de
- Update to version 1.1.0:
  + "cbranch" uses related trees to accelerate checkout, just like
    "branch" and "checkout" do.  cbranch also accepts a
  - -files-from parameter
  + "branches" and "multi-pull" use the new find_branches APIs
  + new "trees" command to list trees under a URL
  + rspush supports branch6 formats, e.g. 'dirstate-tags',
    'pack-0.92'
- Require bzr >= 1.0.
* Mon Dec  3 2007 maw@suse.de
- Update to version 1.0.0:
  + Remove switch, which is now included in bzr itself
  + Misc. cleanups.
* Thu Nov 29 2007 maw@suse.de
- Update to r590.
* Sat Nov 17 2007 maw@suse.de
- Improve various metadata.
* Fri Nov 16 2007 maw@suse.de
- First building version.
* Fri Nov 16 2007 maw@suse.de
- Fix various metadata.
* Fri Nov 16 2007 maw@suse.de
- Initial package.
